﻿@model ARGNSMDFootwearPackaging

@{
    string mTrId = "TR_FootwearPackaging" + Model.LineId;
    string mFPackaging_Hangtag = "FPackaging_Hangtag" + Model.LineId;
    string mFPackaging_PSB = "FPackaging_PSB" + Model.LineId;
    string mFPackaging_Others = "FPackaging_Others" + Model.LineId;
    string mFPackaging_OthersPacking = "FPackaging_OthersPacking" + Model.LineId;
    string mIsNew = "FootwearPackaging_IsNew" + Model.LineId;

    <tr id='@mTrId'>
        <td style="width:50px">
            <button onclick="DeleteRow('@mTrId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span></button>
            <input type="hidden" id="@Model.LineId" value="@Model.LineId" />
        </td>
        <td><input id='@mFPackaging_Hangtag' class="form-control" value='@Model.U_Hangtag' onchange="LineWasChanged('@Model.LineId','FootwearPackaging');" /></td>
        <td><input id='@mFPackaging_PSB' class="form-control" value='@Model.U_PolybagSB' onchange="LineWasChanged('@Model.LineId','FootwearPackaging');" /></td>
        <td><input id='@mFPackaging_Others' class="form-control" value='@Model.U_Others' onchange="LineWasChanged('@Model.LineId','FootwearPackaging');" /></td>
        <td><input id='@mFPackaging_OthersPacking' class="form-control" value='@Model.U_OutPack' onchange="LineWasChanged('@Model.LineId','FootwearPackaging');" /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.MappedUdf != null && Model.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                DictRow.ListUFD1,
                                "FldValue",
                                "Descr", DictRow.Value), new { @Id = "LINEUDF_" + DictRow.UDFName + Model.LineId, @Name = "LINEUDF_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + Model.LineId + "','FootwearPackaging');" })
                        }
                        else
                        {
                            <input id='LINEUDF_@DictRow.UDFName@Model.LineId' name="LINEUDF_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@Model.LineId','FootwearPackaging');" />
                        }
                    </td>
                }
            }
        }
    </tr>
}